## Pré-requis
- opencv 3.2.0
- librealsense2-dkms 1.3.10
- librealsense2-utils 2.31.0
- librealsense2-dev 2.31.0
- librealsense2-dbg 2.31.0

Installation de librealsense2 disponible ici :  https://www.intelrealsense.com/developers/
    

## Configuration Beamer
Lancer le script beamer_config afin de calibrer l'affichage du beamer par rapport au pc. Le beamer doit être en mode clone.

    sh beamer_config.sh

## 1. Compiler la libraire
	cd api
	make build

## 2. lancer le server:
	./sandbox

### Calibration Serveur
	- Calibrer le rectangle aux coins de l'image projetée dans le bac
	- Poser la planche sur le bac
	- Positionner la cible blanche en-dessous de la projection de la croix rouge/verte, valider les 3 validations en changeant la hauteur de la cible

## 3. Interface Applications
    Les interfaces/fichiers api à utiliser pour le futures applications se trouvent sous ./interface
	Il y a un dossier par langage disponible (c++ et python pour le moment).
	Il faudra toutefois executer le Makefile pour utiliser la librairie en c++

## 4. Lancer les applications (exemples)
	cd applications/c++
	make app
	./app 127.0.0.1 1242

Ou

	cd applications/python
	python app.py 127.0.0.1:1242

## API (backend)
Les fonctions fournient par le serveur du bac à sable et disponibles pour les interfaces api en socket

### Show Image
	Query Id: 0
	Ouvre une fenêtre et affiche une image.

### RGB Frame
	Query Id: 1
	Retourne une image sous forme de matrice.

### Depth Frame
	Query Id: 2
	Retoure une matrice correspondant aux profondeurs détectées.

## API (libs)
### c++
Interface api disponible sous api_sandbox/api/cpp

### py
Interface api disponible sous api_sandbox/api/py
