#ifndef SANDBOX_H
#define SANDBOX_H


#include "./struct.hpp"
#include <opencv2/opencv.hpp>

class Sandbox
{
private:
   int socketFD;
   void matrixToPayload(cv::Mat m, matrixPayload_t *p);

   void payloadToMatrix(cv::Mat *m, matrixPayload_t p);

   int calculateSizeMatrix(matrixPayload_t payload);

   void readData(char *buff, int length);

   void action(int idAction, cv::Mat input, cv::Mat *output);

public:
   void showImage(cv::Mat image);
   void getRGBFrame(cv::Mat *frame);
   void getDepthFrame(cv::Mat *frame);
   Sandbox(char *ip, int port);
   Sandbox();
};
#endif