#ifndef CALIBRATE_H
#define CALIBRATE_H
#include <opencv2/opencv.hpp>
#include "beamer.h"
#include "camera.h"

class Calibrate
{
private:
    const char *wndname = (char *)"Sandbox";
    cv::Mat matRotation;
    float distancePlan;

public:
    Calibrate();
    cv::Point2i transformationPixel(int i, int j, float z, Camera camera, cv::Point3f beamer);
    cv::Point2i rotatePixel(cv::Point2i pixel);
    void transformationFrame(cv::Mat &src, cv::Mat &dst, Camera camera, cv::Point3f beamer);
    void transformationFrame(cv::Mat &depth, cv::Mat &src, cv::Mat &dst, Camera camera, cv::Point3f beamer);
    void setMatrixRotation(cv::Mat matrix)
    {
        matRotation = matrix.clone();
    }
    void setDistancePlan(float distance)
    {
        distancePlan = distance;
    }
};
#endif