#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <strings.h>
#include <stdarg.h>
#include "log.h"



int log_level= 5;

/* [INFO] msg ... */
/* [DEBUG] msg ... */



/**
 * Inform the user that an error occured and stop the execution.
 * @param:  char *msg - The message of the error
 * @return
 */
void error(char*msg) {
    fprintf(stderr, "%s\n", msg);
    exit(EXIT_FAILURE);
}


void mylog(int log_level_value, const char *format,...){
    /* Variadic argument in C : */
    /* https://www.cprogramming.com/tutorial/c/lesson17.html */

    va_list argList;
    va_start(argList,format);

    if (log_level & log_level_value) {
     
        FILE *output=stderr;
        switch(log_level_value ) {
        case LOG_WARNING:
            output=stderr;
            fprintf(output,"[WARNING] ");
            break;
        case LOG_DEBUG:
            output=stdout;
            fprintf(output,"[DEBUG] ");
            break;
        case LOG_ERROR:
            output=stderr;
            fprintf(output,"[ERROR] ");
            break;
        default:
            break;
        }

        vfprintf(output,format,argList);
    }
    va_end(argList);
}